# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndSolidAngleUnit Class Reference

`#include <StepBasic_SiUnitAndSolidAngleUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndSolidAngleUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_SiUnitAndSolidAngleUnit ()
| Returns a SiUnitAndSolidAngleUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAprefix, const StepBasic_SiPrefix aPrefix, const StepBasic_SiUnitName aName)
Standard_EXPORT void | SetSolidAngleUnit (const Handle(StepBasic_SolidAngleUnit)&aSolidAngleUnit)
Standard_EXPORT Handle_StepBasic_SolidAngleUnit | SolidAngleUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_SolidAngleUnit | solidAngleUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndSolidAngleUnit::StepBasic_SiUnitAndSolidAngleUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SiUnitAndSolidAngleUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndSolidAngleUnit::Init | ( | const Standard_Boolean | hasAprefix,
|  | const StepBasic_SiPrefix | aPrefix,
|  | const StepBasic_SiUnitName | aName
| ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndSolidAngleUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT void StepBasic_SiUnitAndSolidAngleUnit::SetSolidAngleUnit | ( | const Handle(StepBasic_SolidAngleUnit)& | aSolidAngleUnit | ) |

Standard_EXPORT Handle_StepBasic_SolidAngleUnit StepBasic_SiUnitAndSolidAngleUnit::SolidAngleUnit | ( |  | ) | const

## Field Documentation

Handle_StepBasic_SolidAngleUnit StepBasic_SiUnitAndSolidAngleUnit::solidAngleUnit `[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndSolidAngleUnit.hxx